## poster-19990428.tar.bz2

=== Makefile ===
# on Debian:
DEFINES  = -DHAVE_LIBPAPER
CFLAGS = -O2 -g
LIBS = -lm -lpaper
# elsewhere
#DEFINES = # nothing
#CFLAGS = -O
#LIBS = -lm

poster: poster.c
	gcc $(CFLAGS) -o poster $(DEFINES) poster.c $(LIBS)

# HPUX:	cc -O -Aa -D_POSIX_SOURCE -o poster poster.c -lm
#       Note that this program might trigger a stupid bug in the HPUX C library,
#       causing the sscanf() call to produce a core dump.
#       For proper operation, DON'T give the `+ESlit' option to the HP cc,
#       or use gcc WITH the `-fwritable-strings' option.

install: poster
	strip poster
	cp poster /usr/local/bin
	cp poster.1 /usr/local/man/man1

clean:
	rm -f poster core poster.o getopt.o

tar: README Makefile poster.c poster.1 manual.ps LICENSE
	tar -cvf poster.tar README Makefile poster.c poster.1 manual.ps LICENSE
	rm -f poster.tar.gz
	gzip poster.tar

=== debian/changelog ===
poster (1:19990428-8) unstable; urgency=low

  * Bug fix: "poster: Lines starting with '%' stripped from output ",
    thanks to Antal K for the report and the patch (Closes: #255718).
  * Bug fix: "Output of poster is not the correct Postscript file", thanks
    to Wojtek Zabolotny for the report and the patch (Closes: #339038).

 -- Peter S Galbraith <psg@debian.org>  Wed, 17 May 2006 19:54:03 -0400

poster (1:19990428-7) unstable; urgency=low

  * Reverting back to original version since replacement has bugs and was
    abandoned upstream.  Introduced epoch in version number.
  * Bug fix: "'man poster' typos: "multipier", "unpractical"; and
    "uncarefully", thanks to A Costa (Closes: #323535).

 -- Peter S Galbraith <psg@debian.org>  Thu,  6 Apr 2006 21:34:18 -0400

poster (20020830-3) unstable; urgency=low

  * Bug fix: "poster: FTBFS: Build dependency on libpaperg-dev", changed to
    libpaper-dev thanks to Kurt Roeckx (Closes: #346402).
  * Bumped Standards-Version to 3.6.2

 -- Peter S Galbraith <psg@debian.org>  Tue, 17 Jan 2006 20:42:47 -0500

poster (20020830-2) unstable; urgency=low

  * Applied band-aid patch for scale factor with the '-s' option
    contributed by Dylan Thurston <dpt@math.harvard.edu> (closes: #186637)
  * Use libpaper patch, which somehow didn't get applied in previous
    upload (closes: #188349)
  * Bumped Standards-Version to 3.5.9 (okay except for optimization).

 -- Peter S Galbraith <psg@debian.org>  Wed,  9 Apr 2003 13:01:36 -0400

poster (20020830-1) unstable; urgency=low

  * New upstream release with new upstream maintainer (closes: #158795).  
  * debian/control: better description (closes: #149914)
  * Switch to debhelper (for easier handling of DEB_BUILD_OPTIONS)
  * Upgraded Standards-Version to 3.5.7 (except for optimization).
  
 -- Peter S Galbraith <psg@debian.org>  Wed, 25 Sep 2002 14:36:35 -0400

poster (19990428-6) unstable; urgency=low

  * Upgraded Standards-Version to 3.2.1 (Added Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Feb 2001 13:50:51 -0500

poster (19990428-5) unstable; urgency=low

  * New maintainer.

 -- Peter S Galbraith <psg@debian.org>  Sun, 21 May 2000 23:14:14 -0400

poster (19990428-4) unstable; urgency=low

  * debian/{rules,postinst,prerm}: Implement the /usr/doc transition.
  * debian/rules: Use -isp with dpkg-gencontrol.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri,  8 Oct 1999 00:53:12 +0300

poster (19990428-3) unstable; urgency=low

  * Signed the changes and dsc.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  1 Jul 1999 15:39:05 +0300

poster (19990428-2) unstable; urgency=low

  * Upgraded Standards-Version to 3.0.0.0 with necessary
    changes to debian/rules and debian/changelog

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu,  1 Jul 1999 15:21:34 +0300

poster (19990428-1) unstable; urgency=low

  * Initial release.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Thu, 20 May 1999 17:28:45 +0300

=== debian/control ===
Source: poster
Maintainer: Peter S Galbraith <psg@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper (>> 3.0.0), libpaper-dev
Standards-Version: 3.6.2

Package: poster
Architecture: any
Section: text
Priority: optional
Depends: ${shlibs:Depends}
Description: Create large posters out of PostScript pages
 Poster takes a one-page PostScript file and scales it to a specified
 size.  It can tile the resulting image into multiple smaller pages
 that can be pasted together to form the big poster.  Poster prefers
 EPS as its input although freer forms of PostScript are also
 understood.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	STRIP += -s
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d debian/poster/usr/bin
	install $(STRIP) poster debian/poster/usr/bin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installman poster.1
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
